Subject: Re: [BUGREPORT] git diff-tree --cc SEGFAUTs

From: Junio C Hamano <[email-masked]>
Date: Fri, 03 Jan 2025 18:55:18 -0800

Jeff King <[email-masked]> writes:

> ... OTOH it is not really
> solving the more fundamental problem, which is that p->parent[i].path is
> only sometimes useful (we do not fill it in if it would just be the same
> as p->path, so the patch only changes it from uninitialized memory into
> an empty strbuf).
>
> And that is probably not something we want to change, as allocating
> duplicates of each path may be expensive.

Nicely said.  I reached the same conclusion after looking at the
existing code, even though I have to admit that I am not a huge fan
of the more recent part of combine-diff.c and its data structures.

Thanks.